// If naturalised looks odd on the long beam, try lowering the 
// tcMod scale (0.3 0.2 or 0.4 0.3) to stretch it a bit more.

textures/bgmpii/jax_beamcloudy
{
	qer_editorimage textures/skies/dimclouds.tga
	q3map_lightimage textures/skies/dimclouds.tga
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_surfacelight 200
	nopicmip

	{
		map textures/skies/dimclouds.tga
		tcMod scale 0.5 0.4
		tcMod scroll 0.15 0.15
		tcMod turb 0 0.05 0 0.05
		blendFunc add
		depthWrite
	}
}

// ** Fire relic shader by psion **

textures/bgmpii/relicfx_red
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull twosided
	{
		map textures/bgmpii/relicfx_red.tga
		tcGen environment
                tcMod turb 0 0.25 0 1
                tcmod scroll 1 1
		blendfunc GL_ONE GL_ONE
	}
}

//Waterfall by Rungy
//textures/bgmpii/water04
//{
//	qer_trans .5
//	deformVertexes wave 100 sin 0 1 0 1.5
//	surfaceparm nolightmap
//	cull none
//	entityMergable		// allow all the sprites to be merged together
//	{
//		map textures/bgmpii/water04.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
//		tcmod scroll 0 -3.5
//		rgbGen		vertex
//		alphaGen	vertex
//	}
//}

textures/bgmpii/water04
{
	cull disable
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
//	deformVertexes wave 100 sin 0 1 0 1.5 
	{
		map textures/bgmpii/water04.tga
		blendfunc blend
		rgbGen Vertex
		tcMod scroll 0 -2
		alphaGen Vertex
	}
}


// ** Skybox shader by Jax_Gator **
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
// color will be normalized, so it doesn't matter what range you use
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon

textures/bgmpii/bgmp8_skybox
{
	qer_editorimage textures/bgmpii/forestlf.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_surfacelight 80
	surfaceparm sky
	q3map_sun 4 3 3 90 240 80
	skyparms env/bgmpii/forest - -
}

// Oak-mapmodel 

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter2
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

models/mapobjects/oak/oakblaetter3
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

//CTF Trees
ctftrunk
{
	{
		map models/mapobjects/ctftree/ctftree.tga
		rgbGen Vertex
	}
}
ctfleaves
{
	cull disable
	//deformVertexes wave 3 sin 0 1 0 .5
	deformVertexes bulge 3 3 .8
	nopicmip
        	surfaceparm pointlight
	{
		map models/mapobjects/ctftree/ctftree.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

//Tree by Grim Reaper
//thanks to Fatmanfat for help with the shader
models/mapobjects/GR_trees/tree2
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


// Tree leaves by Natestah
models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

//fog by psion
textures/bgmpii/virusfog
{
	qer_editorimage textures/bgmpii/virusfog.tga
	surfaceparm fog
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.15
	fogparms ( 0.162 0.492 0.192 ) 300
}

//Jumppad by psion
textures/bgmpii/jaxjp2
{
	qer_editorimage textures/bgmpii/jaxjp2.tga
	q3map_lightimage textures/bgmpii/jaxjp2_fx1.tga
	surfaceparm nomarks
	q3map_surfacelight 500
	{
		map textures/bgmpii/jaxjp2_fx1.tga
		rgbGen wave sin 0.5 0.5 0 1.5 
	}
	{
		map textures/bgmpii/jaxjp2_fx2.tga
		blendfunc blend
		rgbGen identity
		tcMod rotate 160
	}
	{
		map textures/bgmpii/jaxjp2.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

// Waterfall splash by wviperw
// This file was automatically created by Particle Designer.
// For more information about particle designer, please
// visit http://www.quake3stuff.com/freebrief

textures/bgmpii/wvw_splash_1
{
qer_editorimage textures/bgmpii/wvw_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 15.267071 0.000000 21.068066 sawtooth 0 1 0.000000 0.997580
{
clampmap textures/bgmpii/wvw_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.600000 -0.600000 0.000000 0.997580
rgbGen wave sawtooth 1.000000 -0.750000 0.000000 0.997580
tcMod stretch sawtooth 1.000000 0.000000 0.000000 0.997580
blendfunc add
}
}

textures/bgmpii/wvw_splash_2
{
qer_editorimage textures/bgmpii/wvw_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 27.980553 0.000000 14.541656 sawtooth 0 1 0.000000 1.008219
{
clampmap textures/bgmpii/wvw_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.600000 -0.600000 0.000000 1.008219
rgbGen wave sawtooth 1.000000 -0.750000 0.000000 1.008219
tcMod stretch sawtooth 1.000000 0.000000 0.000000 1.008219
blendfunc add
}
}

textures/bgmpii/wvw_splash_3
{
qer_editorimage textures/bgmpii/wvw_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -23.529354 0.000000 24.905441 sawtooth 0 1 0.000000 0.922809
{
clampmap textures/bgmpii/wvw_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.600000 -0.600000 0.000000 0.922809
rgbGen wave sawtooth 1.000000 -0.750000 0.000000 0.922809
tcMod stretch sawtooth 1.000000 0.000000 0.000000 0.922809
blendfunc add
}
}

textures/bgmpii/wvw_splash_4
{
qer_editorimage textures/bgmpii/wvw_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move 12.437795 0.000000 31.516111 sawtooth 0 1 0.000000 1.029324
{
clampmap textures/bgmpii/wvw_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.600000 -0.600000 0.000000 1.029324
rgbGen wave sawtooth 1.000000 -0.750000 0.000000 1.029324
tcMod stretch sawtooth 1.000000 0.000000 0.000000 1.029324
blendfunc add
}
}

textures/bgmpii/wvw_splash_5
{
qer_editorimage textures/bgmpii/wvw_splash.tga
surfaceparm noimpact
surfaceparm nolightmap
cull none
surfaceparm trans
surfaceparm nonsolid
surfaceparm nodlight
deformvertexes autosprite
deformvertexes move -34.801598 0.000000 9.767848 sawtooth 0 1 0.000000 0.958803
{
clampmap textures/bgmpii/wvw_splash.tga
tcMod rotate 0.000000
AlphaGen wave sawtooth 0.600000 -0.600000 0.000000 0.958803
rgbGen wave sawtooth 1.000000 -0.750000 0.000000 0.958803
tcMod stretch sawtooth 1.000000 0.000000 0.000000 0.958803
blendfunc add
}
}

//Earth logo by psion
textures/bgmpii/earthlogo_shiny
{
qer_editorimage textures/bgmpii/earthlogo_shiny.tga
q3map_lightimage textures/bgmpii/earthlogo_shiny.tga
q3map_surfacelight 50

{
map textures/effects/tinfx2.tga
tcGen environment
}
{
map textures/bgmpii/earthlogo_shiny.tga
blendfunc gl_one gl_one_minus_src_alpha
}
{
map $lightmap
blendfunc filter
tcGen lightmap
}
}

//Fire logo by psion
textures/bgmpii/firelogo_pulse
{
qer_editorimage textures/bgmpii/firelogo_pulse.tga
q3map_lightimage textures/bgmpii/firelogo_pulseblend.tga
q3map_surfacelight 300

{
map textures/bgmpii/firelogo_pulseblend.tga
rgbGen wave triangle 0.1 0.7 1 0.3
}
{
map textures/bgmpii/firelogo_pulse.tga
blendfunc blend
rgbGen identity
}
{
map $lightmap
blendfunc gl_dst_color gl_one_minus_dst_alpha
rgbGen identity
tcGen lightmap
}
}

//Fire logo by psion
textures/bgmpii/firelogo_shiny
{
qer_editorimage textures/bgmpii/firelogo_shiny.tga
q3map_lightimage textures/bgmpii/firelogo_shiny.tga
q3map_surfacelight 50

{
map textures/effects/tinfx2.tga
tcGen environment
}
{
map textures/bgmpii/firelogo_shiny.tga
blendfunc gl_one gl_one_minus_src_alpha
}
{
map $lightmap
blendfunc filter
tcGen lightmap
}
}

//Earth logo by psion
textures/bgmpii/earthlogo_pulse
{
qer_editorimage textures/bgmpii/earthlogo_shiny.tga
q3map_lightimage textures/bgmpii/earthlogo_pulseblend.tga
q3map_surfacelight 300

{
map textures/bgmpii/earthlogo_pulseblend.tga
rgbGen wave triangle 0.1 0.7 1 0.3
}
{
map textures/bgmpii/earthlogo_shiny.tga
blendfunc blend
rgbGen identity
}
{
map $lightmap
blendfunc gl_dst_color gl_one_minus_dst_alpha
rgbGen identity
tcGen lightmap
}
}

textures/bgmpii/jax_lp
{
	qer_editorimage textures/bgmpii/jax_launchpad.tga
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/bgmpii/jax_launchpad.tga
		rgbGen identity
		blendfunc gl_dst_color gl_zero
	}
	{
		map textures/bgmpii/jax_lpfx1.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 1
	}
	{ 
		animmap 4 textures/bgmpii/jax_lparrow.tga textures/bgmpii/jax_lparrow.tga textures/bgmpii/jax_lparrow.tga textures/bgmpii/jax_lparrow.tga 
		blendfunc gl_one gl_one
		tcmod scroll 0 2
	}
}